<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package NewGenn
 */
?>
		</div> <!-- .container -->
	</div><!-- #content -->

	<?php do_action('newgenn_before_footer'); ?>


	<footer id="colophon" class="site-footer  site-info  footer-image " role="contentinfo">
		<?php if ( get_theme_mod ('footer_overlay',false ) ) { 
				   echo '<div class="overlay overlay-footer"></div>';     
				} 
			$footer_widgets = get_theme_mod( 'footer_widgets',true );
			if( $footer_widgets ) : ?>
			<div class="footer-widgets widget-area">
				<div class="container">
					<?php get_template_part('footer','widgets'); ?>
				</div>
			</div>
		<?php endif; ?>
		
		<div class="site-info footer-bottom copy">
			<div class="container">
				<div class="eight columns">
					<?php if( get_theme_mod('copyright') ) : ?>
							<p><?php echo do_shortcode(get_theme_mod('copyright')); ?></p>
						<?php else : 
						 do_action('newgenn_credits'); 
					 endif;  ?>
				</div>
				<div class="footer-right eight columns footer-nav">      
					<?php dynamic_sidebar( 'footer-nav' ); ?>
				</div>
			</div>
		</div>
		<?php if( get_theme_mod('scroll_to_top_button',true) ) : ?>
			<div class="scroll-to-top"><i class="fa fa-angle-up"></i></div><!-- .scroll-to-top -->
		<?php endif;  ?>
	</footer><!-- #colophon -->
   
    <?php do_action('newgenn_after_footer'); ?>

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
